Bug 806517 - Review Request: pycscope - Generates a cscope index of Python source trees
Review Request: pycscope - Generates a cscope index of Python source trees
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 07:25 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-04-11 22:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: pycscope-0.3-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 15:52:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kumarpraveen.nitdgp: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-03-24 07:25:10 EDT
Spec URL: http://ankursinha.fedorapeople.org/pycscope/pycscope.spec
SRPM URL: http://ankursinha.fedorapeople.org/pycscope/pycscope-0.3-1.fc16.src.rpm

Description: 
A python script to generate a cscope index from a Python source tree. %{name}
uses Python's own parser and AST to generate the index, so it is a bit more
accurate than plain cscope.

Rpmlint output:
[ankur@ankur SRPMS]$ rpmlint pycscope-0.3-1.fc16.src.rpm /var/lib/mock/fedora-16-x86_64/result/*.rpm ../SPECS/pycscope.spec
pycscope.src: W: spelling-error Summary(en_US) cscope -> scope, c scope, cs cope
pycscope.src: W: spelling-error %description -l en_US cscope -> scope, c scope, cs cope
pycscope.noarch: W: spelling-error Summary(en_US) cscope -> scope, c scope, cs cope
pycscope.noarch: W: spelling-error %description -l en_US cscope -> scope, c scope, cs cope
pycscope.noarch: W: no-manual-page-for-binary pycscope.py
pycscope.src: W: spelling-error Summary(en_US) cscope -> scope, c scope, cs cope
pycscope.src: W: spelling-error %description -l en_US cscope -> scope, c scope, cs cope
3 packages and 1 specfiles checked; 0 errors, 7 warnings.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3929056
Comment 1 Michael Scherer 2012-03-24 10:21:43 EDT
Hi,

you should use python2-devel or python3-devel 
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires
Comment 2 Ankur Sinha (FranciscoD) 2012-03-24 11:38:59 EDT
Ah, looks like rpmdev-newspec needs to be updated :/

Updated spec/srpm:

http://ankursinha.fedorapeople.org/pycscope/pycscope.spec

http://ankursinha.fedorapeople.org/pycscope/pycscope-0.3-2.fc16.src.rpm

Thanks for pointing it out Michael,
Ankur
Comment 3 Michael Scherer 2012-03-24 11:47:59 EDT
I also forgot, are the 2 macros in the beginning still needed ? They are defined on my fedora 16, not sure about fedora 15. ( if not needed, i guess they can be removed ).
Comment 4 Praveen Kumar 2012-03-24 13:20:39 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint -i pycscope.spec ../SRPMS/pycscope-0.3-2.fc16.src.rpm ../RPMS/noarch/pycscope-0.3-2.fc16.noarch.rpm 
pycscope.src: W: spelling-error Summary(en_US) cscope -> scope, c scope, cs cope
The value of this tag appears to be misspelled. Please double-check.

pycscope.src: W: spelling-error %description -l en_US cscope -> scope, c scope, cs cope
The value of this tag appears to be misspelled. Please double-check.

pycscope.noarch: W: spelling-error Summary(en_US) cscope -> scope, c scope, cs cope
The value of this tag appears to be misspelled. Please double-check.

pycscope.noarch: W: spelling-error %description -l en_US cscope -> scope, c scope, cs cope
The value of this tag appears to be misspelled. Please double-check.

pycscope.noarch: W: no-manual-page-for-binary pycscope.py
Each executable in standard binary directories should have a man page.

2 packages and 1 specfiles checked; 0 errors, 5 warnings.

looks like source doesn't contain manual information.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/daredevil/rpmbuild/SOURCES/pycscope-0.3.tar.gz
  MD5SUM this package     : ec83c70bce31909cb3cdeae233c00374 
  MD5SUM upstream package : ec83c70bce31909cb3cdeae233c00374 

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

Please make those changes and also as Michael Scherer pointed out, overall looks good.
Comment 5 Ankur Sinha (FranciscoD) 2012-03-24 13:23:03 EDT
(In reply to comment #3)
> I also forgot, are the 2 macros in the beginning still needed ? They are
> defined on my fedora 16, not sure about fedora 15. ( if not needed, i guess
> they can be removed ).

Agh, another thing rpmdev-newspec put in. I'll get rid of it!
Comment 6 Ankur Sinha (FranciscoD) 2012-03-24 13:45:11 EDT
Updated spec/srpm:

http://ankursinha.fedorapeople.org/pycscope/pycscope.spec

http://ankursinha.fedorapeople.org/pycscope/pycscope-0.3-3.fc16.src.rpm

* Sat Mar 24 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3-3
- Removed rm commands https://bugzilla.redhat.com/show_bug.cgi?id=806517#c4


Thanks,
Ankur
Comment 7 Praveen Kumar 2012-03-24 13:52:16 EDT
Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

Issues:
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

looks good

APPROVED.
Comment 8 Ankur Sinha (FranciscoD) 2012-03-24 13:58:06 EDT
New Package SCM Request
=======================
Package Name: pycscope
Short Description: Generates a cscope index of Python source trees
Owners: ankursinha
Branches: f15 f16 f17
InitialCC:
Comment 9 Gwyn Ciesla 2012-03-24 14:46:13 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-03-24 16:12:34 EDT
pycscope-0.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pycscope-0.3-3.fc16
Comment 11 Fedora Update System 2012-03-24 16:12:44 EDT
pycscope-0.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pycscope-0.3-3.fc15
Comment 12 Fedora Update System 2012-03-24 16:12:55 EDT
pycscope-0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pycscope-0.3-3.fc17
Comment 13 Fedora Update System 2012-03-25 17:28:31 EDT
pycscope-0.3-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-04-03 15:52:23 EDT
pycscope-0.3-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 15 Fedora Update System 2012-04-03 15:54:00 EDT
pycscope-0.3-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-04-11 22:08:08 EDT
pycscope-0.3-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.